aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-02-26 14:18:44 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-02-26 14:18:44 +1300
commitb9d63d76072ca5dd48d387aad8999a82531a9cf2 (patch)
tree0c3b6caf5f7f79f2e46f37e3de0916f6af99b69c /sh
parentRemove error-prone git-add(1) completion (diff)
downloaddotfiles-b9d63d76072ca5dd48d387aad8999a82531a9cf2.tar.gz
dotfiles-b9d63d76072ca5dd48d387aad8999a82531a9cf2.zip
Add plenv scripts
Probably worthwhile given I use it on several systems and it's not expensive to check whether it exists.
Diffstat (limited to 'sh')
-rw-r--r--sh/profile.d/plenv.sh5
-rw-r--r--sh/shrc.d/plenv.sh17
2 files changed, 22 insertions, 0 deletions
diff --git a/sh/profile.d/plenv.sh b/sh/profile.d/plenv.sh
new file mode 100644
index 00000000..b2b491e1
--- /dev/null
+++ b/sh/profile.d/plenv.sh
@@ -0,0 +1,5 @@
+# Add plenv to PATH and MANPATH if it appears to be in use
+[ -d "$HOME"/.plenv ] || return
+PATH=$HOME/.plenv/shims:$HOME/.plenv/bin:$PATH
+MANPATH=$HOME/.plenv/versions/$(perl -e 'print substr($^V,1)')/man:$MANPATH
+export MANPATH
diff --git a/sh/shrc.d/plenv.sh b/sh/shrc.d/plenv.sh
new file mode 100644
index 00000000..6e03618e
--- /dev/null
+++ b/sh/shrc.d/plenv.sh
@@ -0,0 +1,17 @@
+# POSIX-compatible version of the plenv Bash shell wrapper
+[ -d "$HOME"/.plenv ] || return
+plenv() {
+ case $1 in
+ rehash)
+ shift
+ eval "$(plenv sh-rehash "$@")"
+ ;;
+ shell)
+ shift
+ eval "$(plenv sh-shell "$@")"
+ ;;
+ *)
+ command plenv "$@"
+ ;;
+ esac
+}